Skip to main content
POST
/
segments
/
{tableNameWithType}
/
{segmentName}
/
reset
Resets a segment by first disabling it, waiting for external view to stabilize, and finally enabling it again
curl --request POST \
  --url https://dev.startree.ai/segments/{tableNameWithType}/{segmentName}/reset \
  --header 'Authorization: <api-key>'
{
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.startree.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The format of the key is "Basic <token>" or "Bearer <token>"

Path Parameters

tableNameWithType
string
required

Name of the table with type

segmentName
string
required

Name of the segment

Query Parameters

targetInstance
string

Name of the target instance to reset

Response

200 - application/json

successful operation

status
string